
Redmine - Feature #25035

Option to set current date as a default value of date format custom field
Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: Candidate for next minor release   

Resolution:    

Description

It would be very useful if we can set current date to a date format custom field when we create a new issue.

Related forum post: Create a Custom Field that defaults to the Current Date

 cf-current-date.png 

Related issues:

Related to Redmine - Feature #20382: Date Custom Field Defaut Value New

History

#1 - 2017-02-08 15:01 - Go MAEDA

- Related to Feature #20382: Date Custom Field Defaut Value added

#2 - 2018-08-30 09:42 - Mizuki ISHIKAWA

- File add_current_date.patch added

I wrote a patch to realize this feature.

Implementation for setting the default value to current date may not be the best way.

Feedback is welcome.

#3 - 2018-09-01 06:58 - Go MAEDA

- Target version set to Candidate for next minor release

Thank you for sharing the patch. The patch looks fine.

#4 - 2018-10-01 01:19 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.1.0

What do you all think about this patch? Feedbacks welcome.

#5 - 2019-06-20 10:01 - Jean-Philippe Lang

- Target version changed from 4.1.0 to Candidate for next minor release

Mizuki ISHIKAWA wrote:

I wrote a patch to realize this feature.

Implementation for setting the default value to current date may not be the best way.

Feedback is welcome.

 Thanks for your patch. It's a usefull feature but this patch has the side effect that it makes the string "current_date" a valid value for date custom

fields. I think we need a different approach.

#6 - 2023-04-17 08:19 - sosogh sosogh

Jean-Philippe Lang wrote in #note-5:
https://www.redmine.org/boards/2/topics/32348


it makes the string "current_date" a valid value for date custom fields.

 Is it a serious problem ?  Under what conditon , will it happen ?

I am considering using this patch
